=== debian/changelog ===
ros-galactic-irobot-create-msgs (1.2.4-1focal) focal; urgency=high

  * small comments cleanup
  * Add action for audio sequence
  * Contributors: Justin Kearns, Steven Shamlian

 -- Alberto Soragna <asoragna@irobot.com>  Wed, 09 Mar 2022 08:00:00 -0000

ros-galactic-irobot-create-msgs (1.2.3-1focal) focal; urgency=high

  * Remove _t in uint16_t and add notes to cmake
  * Add vector of notes message. Match LedColor and have header info included in the sequence of notes only
  * Add std_msgs/Header for future
  * Add message to play audio note
  * Fix wrong link in README.md
  * change to buildtool_depend
  * Without this change, raspian buster compile complained it couldn't find rosidl_default_generators
  * Fix documentation
  * Update documentation for pwm
  * Contributors: Alberto Soragna, Jonathan Dorich, Justin Kearns, jdorich14

 -- Alberto Soragna <asoragna@irobot.com>  Fri, 04 Mar 2022 08:00:00 -0000

ros-galactic-irobot-create-msgs (1.2.2-1focal) focal; urgency=high

  * Add documentation for WheelStatus
  * Add message for WheelStatus and translate direction for DriveArc action
  * Contributors: Justin Kearns

 -- Alberto Soragna <asoragna@irobot.com>  Thu, 02 Dec 2021 08:00:00 -0000

ros-galactic-irobot-create-msgs (1.2.1-1focal) focal; urgency=high

  * Add dist to goal feedback
  * use translation max for drive arc
  * add optional max speed parameters
  * Add actions for API used by Root Coding robot
  * Documentation updates
    Minor grammatical and typographical changes. Also removed an unplanned command.
  * update package.xml with new license
  * update license to BSD-3
  * Contributors: Alberto Soragna, Justin Kearns, Steven Shamlian

 -- Alberto Soragna <asoragna@irobot.com>  Wed, 24 Nov 2021 08:00:00 -0000

ros-galactic-irobot-create-msgs (1.2.0-1focal) focal; urgency=high

  * bump version to 1.2.0
  * Add CODEOWNERS file
  * Add issue templates
  * Initial import of irobot Create3 messages
  * Initial commit
  * Contributors: Alberto Soragna

 -- Alberto Soragna <asoragna@irobot.com>  Fri, 01 Oct 2021 07:00:00 -0000
